Skip to main content
POST
/
marketing
/
marketing-events
/
2026-03
/
events
/
{externalEventId}
/
{subscriberState}
/
upsert
cURL
curl --request POST \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}/{subscriberState}/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "interactionDateTime": 123,
      "properties": {},
      "vid": 123
    }
  ]
}
'
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

externalEventId
string
required
subscriberState
string
required

Query Parameters

externalAccountId
string
required

Body

application/json
inputs
object[]
required

List of HubSpot contacts to subscribe to the marketing event

Response

default - */*
category
string
required

The error category

correlationId
string<uuid>
required

A unique identifier for the request. Include this value with any error reports or support tickets

Example:

"aeb5f871-7f07-4993-9211-075dc63e7cbf"

message
string
required

A human readable message describing the error along with remediation steps where appropriate

Example:

"An error occurred"

context
object

Context about the error condition

Example:

"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"

errors
object[]

further information about the error

A map of link names to associated URIs containing documentation about the error or recommended remediation steps

subCategory
string

A specific category that contains more specific detail about the error

Last modified on April 1, 2026